> For the complete documentation index, see [llms.txt](https://docs.danaya.africa/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.danaya.africa/documentation/integration-mode/rest-api/platform.md).

# Platform

<details>

<summary>Get your API Consumption Status</summary>

This endpoint is crucial because it gives you a status of the consumption of your subscribed check credits.

<mark style="background-color:green;">GET /subscriptions/status</mark>

Headers:

* &#x20;Api-Key (required)
* Api-Secret (required)

Request Body: Nonde

Responses:

* OK:
  * Code: 200
  * Body

    ```json
    {
        "id": "UUID",
        "company": {
            "id": 1000,
            "name": "Company",
            "country": "COUNTRY",
            "city": "CITY",
            "contactEmail": "email",
            "rccmNumber": "",
            "type": null,
            "ownerName": null,
            "agencies": []
        },
        "type": "CHECK_COUNT",
        "numberOfChecks": 1000,
        "status": "ACTIVE",
        "expirationDate": "2025-01-01"
    }
    ```
* ERRORS:
  * Code : 401

</details>

<details>

<summary>An other platform url endpoint ?</summary>

</details>
